# Using oslo.versionedobjects

- Usage
  - Add oslo.versionedobjects to requirements
  - Create objects subdirectory and a base.py inside it
  - Create base object with the project namespace
  - Create other base objects if needed
  - Implement objects and place them in objects/*.py
  - Implement extra fields in objects/fields.py
  - Create object registry and register all objects
  - Create and attach the object serializer
  - Implement the indirection API
- Examples
  - IOT lightbulb

- CHANGES

this page last updated: 2026-01-20 21:23:13

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug